unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
   Edit1.Text:=InputBox('Wprowadzanie liczb', 'Wprowadź liczbę całkowitą','0');
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  Nowytekst: string;
  CzyOK: Boolean;
begin
  Nowytekst := 'Tekst domyślny';
  Label1.Caption := Nowytekst;
  CzyOK := InputQuery('Wprowadzanie', 'Wprowadź coś', Nowytekst);
  if CzyOK then  // jeśli naciśnięto OK, to zmienna Nowytekst zawiera właśnie 
                 // wprowadzony łańcuch znaków }
  Label1.Caption := 'Nowy tekst to ''' + Nowytekst + '''';
end;

end.
